# utils.rb

Path: | lib/phusion_passenger/utils.rb
Last Update: | Sat Apr 18 14:07:37 +0000 2009

Phusion Passenger - www.modrails.com/ Copyright (C) 2008 Phusion

Phusion Passenger is a trademark of Hongli Lai & Ninh Bui.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

### Required files

rubygems thread fastthread pathname etc fcntl tempfile phusion_passenger/exceptions phusion_passenger/native_support timeout timeout socket

### Methods

recv_io send_io

### Public Instance methods

recv_io()

[Source]

         # File lib/phusion_passenger/utils.rb, line 499
    499:                 def recv_io
    500:                         super
    501:                 end

send_io(io)

[Source]

         # File lib/phusion_passenger/utils.rb, line 503
    503:                 def send_io(io)
    504:                         super
    505:                 end

[Validate]